### Method

# Manette Device get_guid

since: 0.2.10

#### Declaration [src]

    const char*
    manette_device_get_guid (
      ManetteDevice* self
    )

#### Description [src]

Gets the identifier used by SDL mappings to discriminate game controller devices.

Available since: 0.2.10

#### Return value

Type: `const char*`

The identifier used by SDL mappings.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.